# VeRoViz: Vehicle Routing Visualization

[![PyPI version](https://img.shields.io/pypi/v/veroviz.svg?style=flat)](https://pypi.org/project/veroviz/) [![License](https://img.shields.io/pypi/l/veroviz.svg?style=flat)](https://pypi.org/project/veroviz/)

VeRoViz is a suite of tools (primarily written in Python) to easily generate, test, and visualize vehicle routing problems.

Key features of the Python tools include:
- Generation of nodes on road networks;
- Calculation of travel time/distance matrices using external data providers;
- Creation of Leaflet maps to view nodes, routes, and basic geometric shapes; and
- Generation of dynamic CesiumJS content to view 4D "movies" of vehicle routing problems.


All Python source code is hosted in this repository.  Documentation, examples, contact information are available from the [VeRoViz project website](https://veroviz.org).

---

## Links

- [Project Website](https://veroviz.org) - Includes installation instructions, documentation, and other relevant information.
- [PyPI Website](https://pypi.org/project/veroviz/) - VeRoViz may be installed via `pip`.
- [Change Log](CHANGELOG.md) - A summary of changes associated with each new release of VeRoViz.
- [License](LICENSE.md) - VeRoViz is distributed under the MIT license.
- [Credits](CREDITS.md) - This project is made possible by numerous other software packages.
